Minecraft stürzt beim Start mit EXCEPTION_ACCESS_VIOLATION ab, Problematic frame: ig4dev32.dll oder ig4dev64.dll oder ig4icd32.dll oder ig4icd64.dll

Wenn ich versuche, Minecraft 1.7.4 oder neuer zu starten, stürzt das Spiel beim Start ab, und der Spielausgabebildschirm sagt dies:

# EXCEPTION_ACCESS_VIOLATION (0xc0000005) at pc=*, pid=*, tid=* # # JRE version: Java™ SE Runtime Environment (7.0_51-b13) (build 1.7.0_51-b13) # Java VM: Java HotSpot™ Client VM (* mixed mode, sharing windows-* ) # Problematic frame: # C [ig4dev32.dll+0x3e88] OR # C [ig4dev64.dll+0x55ec] OR # C [ig4icd32.dll+0x104a77] OR # C [ig4icd64.dll+0x84930a] 

Dies geschieht mit Java 7 und 8.

Was verursacht dieser Fehler und was kann ich tun, um das Problem zu beheben?

  • Mein Handwerkstisch wird keinen Zaun machen?
  • Wie kann ich Redstone durch einen Block ausführen?
  • Ist / setworldspawn beeinflussen / spawnpoint?
  • Wie bekomme ich den Spielernamen?
  • Wie bekomme ich Kommandos je nach Spieler Anzeiger?
  • Welchen Befehl gebe ich in einen Befehlsblock, der den Laich des nächsten Spielers an einen anderen Ort stellen kann?
  • 3 Solutions collect form web for “Minecraft stürzt beim Start mit EXCEPTION_ACCESS_VIOLATION ab, Problematic frame: ig4dev32.dll oder ig4dev64.dll oder ig4icd32.dll oder ig4icd64.dll”

    Ihre Grafikkarte unterstützt keine neueren Versionen von Minecraft.

    Wenn du eine andere GPU in deinem Computer hast, versuchst du Minecraft damit zu betreiben: rechte Maustaste auf der ausführbaren Datei → Run With → (etwas anderes als "integriert"). Dedizierte GPUs neigen dazu, besser unterstützte / kompatiblere Treiber als integrierte zu haben.

    Wenn du keine andere GPU hast, dann gibt es nichts, was du über diesen Fehler machen kannst, kurz, deine (vermutlich ganz alte) Grafikkarte oder sogar deinen ganzen Computer zu ersetzen.

    Von den Support-Seiten auf minecraft.net zu diesem Thema:

    Intel 4 Series Chipsätze

    Einige Chipsätze in der Intel 4 Serie, vor allem die Intel 965 Express Chipsatz sind bekannt, dass Probleme mit OpenGL-Unterstützung haben, die eine Zugriffsverletzung zu werfen.

    Alle Intel-GPUs, die die ig4dev32.dll und ig4dev64.dll , sind anfällig für dieses Problem. Eine vollständige Liste der betroffenen Geräte finden Sie hier .

    Lösung

    Dieser Fehler betrifft derzeit nur alle Versionen nach 1.7.4 – und wird wahrscheinlich alle zukünftigen Versionen von Minecraft beeinflussen.

    Als solche können Sie diesen Fehler umgehen, indem Sie eine Version vor 1.7.4 verwenden, z. B. 1.7.2. Um 1.7.4 oder höhere Versionen abzuspielen, benötigen Sie einen neuen Computer. Alternativ für Desktop-Benutzer können Sie eine neue GPU kaufen, aber die Tatsache, dass Ihr Computer hat einen Intel 965 Chipsatz bedeutet, dass Ihr Computer wahrscheinlich sehr alt ist, und ein neuer Computer kann ein besserer Weg zu gehen.

     # Problematic frame: # C [ig4icd32.dll+0x43dc2] 

    ig4icd32.dll scheint Teil von Intels Grafik-Treiber zu sein.

    Von Mojangs Bug-Eintrag auf diesem, MC-14051 :

    Die Intel 4 Series (und älteren) Grafikkarten sind nicht in der Lage, 1.7.4 und zukünftige Versionen von Minecraft zu spielen. Sie müssen eine neue Grafikkarte oder einen Computer kaufen, um neue Versionen zu spielen.

    Jetzt können Sie noch spielen 1.7.2 oder ältere Versionen des Spiels. Um das Spiel auf eine andere Version zu ändern, starten Sie den Launcher. Wählen Sie Profil bearbeiten. Wählen Sie im Dropdown-Menü "Use Version" die gewünschte Spielversion aus. Klicken Sie dann auf Profil speichern.

    Wenn du eine andere GPU in deinem Computer hast, versuchst du Minecraft damit zu betreiben, wie pro: rechte Maustaste auf der ausführbaren Datei → Run With → (etwas anderes als "integriert"). Dedizierte GPUs neigen dazu, besser unterstützte / kompatiblere Treiber als integrierte zu haben.

    Wenn Sie nicht über eine andere GPU, oder aus irgendeinem Grund (Power-Anforderungen) können sie nicht verwenden, aktualisieren Sie Ihre Grafik-Treiber kann es funktionieren. Überprüfen Sie Mojangs Support-Artikel für Informationen darüber, was zu tun ist.

    Ich habe mehr RAM zugewiesen, indem ich die JVM-Argumente dazu -Xmx3G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M : -Xmx3G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M und es hat den Fehler behoben.